Create a test case
Create a case in a suite with the appropriate project write role.
curl -X POST "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "John Doe",
"description": "example_string",
"priority": "low",
"tags": [
"example_string"
],
"steps": [
{
"type": "example_string",
"selector": "example_string",
"action": {},
"assertions": [
{}
]
}
]
}'
import requests
import json
url = "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "John Doe",
"description": "example_string",
"priority": "low",
"tags": [
"example_string"
],
"steps": [
{
"type": "example_string",
"selector": "example_string",
"action": {},
"assertions": [
{}
]
}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "John Doe",
"description": "example_string",
"priority": "low",
"tags": [
"example_string"
],
"steps": [
{
"type": "example_string",
"selector": "example_string",
"action": {},
"assertions": [
{}
]
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"description": "example_string",
"priority": "low",
"tags": [
"example_string"
],
"steps": [
{
"type": "example_string",
"selector": "example_string",
"action": {},
"assertions": [
{}
]
}
]
}`)
req, err := http.NewRequest("POST", "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "John Doe",
"description": "example_string",
"priority": "low",
"tags": [
"example_string"
],
"steps": [
{
"type": "example_string",
"selector": "example_string",
"action": {},
"assertions": [
{}
]
}
]
}'
response = http.request(request)
puts response.body
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"status": "example_string"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Error",
"message": "Plan or usage entitlement prevents the operation.",
"code": 402
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/suites/{suiteId}/casesTarget server for requests. Edit to use your own host.
AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Path Parameters
Body
lowmediumhighcriticalResponses
Create a case in a suite with the appropriate project write role. Steps can be supplied with the case; verify their targets and expected behavior before running it.
Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.
For unattended pipelines, use the separately authenticated CI endpoints.